## NAME

r.profile - Outputs the raster map layer values lying on user-defined line(s).
(GRASS Raster Program)

## SYNOPSIS

r.profile
r.profile help
r.profile [-g] [-i] input=name output=name profile=east,north[,east,north,east,north,...] res=resolution

## DESCRIPTION

This program outputs a two or four column (with -g) ASCII file (or stdout). The default two column output consists of cumulative profile length in meters and raster value. The optional four column output consists of an easting, northing, cumlative profile length (m), and raster value. Profile end or "turning" points can be set manually with the profile argument or selected interactively from the GRASS monitor by setting the -i flag. The profile resolution, or distance between profile points, is obatined from the current region resolution, or can be manually set with the res argument.

## OPTIONS

### Flags:

-g
  Output easting and northing in first two columns of four column output
-i
  Intercative mode
  The user selects the profile from the GRASS monitor by clicking the left mouse button along the profile, clicking the right mouse button ends the profile

### Parameters:

input
  The name of the GRASS raster file from which to generate the profile info
output
  The name of the 2 or 4 column ASCII file to send profile results to
  Use "-" to send output to standard output (stdout)
profile
  The comma seperated geographic coordinates for profile line endpoints
  The interactive flag (-i) overrides this option
res
  This sets the distance between each profile point (resolution)
  The resolution must be provided in GRASS database units (i.e. decimal degrees for Lat Long database and meters for UTM)
  By default r.profile uses the resolution of the current GRASS region

## OUTPUT FORMAT

The 2 or 4 column output from r.profile is intened for easy use in other programs. The output can be piped (|) directly into other programs or saved to file for later use. The 4 column output is compatible with s.in.ascii and can be piped direcly into this program for later plotting.

    r.profile -ig input=elev.rast output=- | s.in.ascii sites=elev.profile

The 2 column output is compatible with most plotting programs.

## NOTES

The profile resolution is measured exactly from the supplied end or "turning" point along the profile. The end of a profile segment will be an exact multiple of the profile resolution and will therefore not always match the end point coordinates entered for the segmanet.

To extract the numbers in scripts, following parameters can be used:

               r.profile dgm12.5 prof=3570631,5763556 out=- 2>/dev/null

This filters out the everything except the numbers.

## SEE ALSO

d.profile
r.what
r.transect

## AUTHOR

Bob Covill

Last changed: $Date: 2002/01/25 05:45:34 $